/*
** AcqPlayerController
** 
** CHANGES:
** 0.2  (pozytron) Class created for AcqLite
*/

#import "AcqPlayerController.h"
#import <Carbon/Carbon.h>
#import <QuickTime/QuickTime.h>
#include <assert.h>

@implementation AcqPlayerController

+ (AcqPlayerController*) instance; {
    static id instance = nil;
    if (!instance) instance = [[AcqPlayerController alloc] init];
    return instance;
}

+ (void) play: (NSString*) moviePath; {
    [[AcqPlayerController instance] play: moviePath];
}

- (void) play: (NSString*) moviePath; {
    NSURL *tempUrl = [NSURL fileURLWithPath: moviePath];
    NSMovie *myMovie = [[NSMovie alloc] initWithURL:tempUrl byReference:YES];
    
    Movie myQTMovie = [myMovie QTMovie];
/*
    GoToBeginningOfMovie(myQTMovie);

    SetMovieVolume(myQTMovie, 255);
    StartMovie(myQTMovie);*/
}

@end
